//tag规则 release-v188.9.*  补全商标基本信息(无用可删除)
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class TmtransferTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(TmtransferTask));
    this.restclient = system.getObject("util.restClient");
    this.igirlWeburl = settings.igirlWeburl();
  }
  async beforeTask(params) {
    console.log("前置操作......", this.serviceName);
    //this.isThrough=true; 
    //console.log(this.cacheManager);
  }
  async subDoTask() {
    console.log("--------------");
    console.log("TestTask1.....");
    try {
      var url = this.igirlWeburl + "api/tmtransactionApi/tmAuditData";
      this.restclient.execGet(null, url);
      return  system.getResultSuccess();
    } catch (error) {
      console.log(error);
      return null;
    }
  }
}
module.exports = TmtransferTask;